
public class Class463_Sub1 extends Class463 {

   public static final int anInt7959 = 0;
   public static final int anInt7960 = 1;


   int method7813(int var1) {
      return 1;
   }

   public Class463_Sub1(int var1, Class225_Sub6 var2) {
      super(var2);
   }

   void method7812(int var1, byte var2) {
      this.anInt5736 = var1 * -1684335239;
   }

   int method7807(int var1) {
      return 1;
   }

   int method7808(int var1, int var2) {
      return 1;
   }

   public int method12755() {
      return -204978999 * this.anInt5736;
   }

   public int method12756(int var1) {
      return -204978999 * this.anInt5736;
   }

   int method7815() {
      return 1;
   }

   int method7811(int var1) {
      return 1;
   }

   public void method12757(int var1) {
      if(1 != this.anInt5736 * -204978999 && -204978999 * this.anInt5736 != 0) {
         this.anInt5736 = this.method7807(-1157038875) * -1684335239;
      }

   }

   void method7806(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   void method7814(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   void method7810(int var1) {
      this.anInt5736 = var1 * -1684335239;
   }

   public void method12758() {
      if(1 != this.anInt5736 * -204978999 && -204978999 * this.anInt5736 != 0) {
         this.anInt5736 = this.method7807(-1126252381) * -1684335239;
      }

   }

   public Class463_Sub1(Class225_Sub6 var1) {
      super(var1);
   }
}
